Bug 549056 - Avoid one /usr/bin/id stat call in /etc/profile
Avoid one /usr/bin/id stat call in /etc/profile
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-20 03:28 EST by Ville Skyttä
Modified: 2010-05-17 14:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: setup-2.8.9-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-05 13:19:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Avoid one stat call for /usr/bin/id (1.04 KB, patch)
2009-12-20 03:28 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2009-12-20 03:28:05 EST
Created attachment 379444 [details]
Avoid one stat call for /usr/bin/id

The attached patch avoids one /usr/bin/id stat call in /etc/profile in some scenarios.
Comment 1 Ondrej Vasik 2009-12-20 07:34:44 EST
Thanks for patch, I'll apply it to upstream git and to next rawhide build.
Comment 3 Ondrej Vasik 2010-01-05 13:19:09 EST
Built as setup-2.8.13-1.fc13, closing RAWHIDE.
Comment 4 Fedora Update System 2010-04-19 03:21:25 EDT
setup-2.8.9-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/setup-2.8.9-2.fc12
Comment 5 Fedora Update System 2010-05-17 14:58:05 EDT
setup-2.8.9-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.